• Время улучшать сервер! Аккаунт EXCLUSIVE ⚡ навсегда - можно купить за 689 рублей!⁣

    Гость, покупая подписку, ты увеличишь свои доходы в разы! Мы делаем самые актуальные сборки, переводим лучшие приватные плагины, а так-же обновляем их и фиксим любые ошибки. Дешевле, чем студии и другие разработчики!

    Улучшить аккаунт

  • Аккаунт Premium+ теперь можно купить навсегда!⁣

    Гость, заплати всего один, раз и получай самый новые Сборки и Обновленные плагины одним из первых. ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ ⁣ Помогайте развивать форум донатами, и уникальным контентом. Продавай свои сборки, зарабатывай, учись, ты можешь все!

    Улучшить аккаунт

  • Приветствуем тебя Гость!⁣

    Недавно на форуме? Не знаешь как можно скачивать ресурсы? Для этого нужно лишь зарегистрировать на форуме, и получать доступ к профессиональным плагинам, оптимизированным настройкам. Здесь только самое лучшее.

    Зарегистрироваться

  • Мы теперь Вконтакте

    Если вы ведете свою страницу в социальной сети, вам необходимо подписать на нашу группу, здесь будут все анонсы новых платных и бесплатных сборок,плагинов, скриптов. Здесь вы сможете найти, спонсоров, и просто друзей!

    Присоединиться в группу

Установка MySql и PhpMyAdmin на VDS

wilfaded

EXCLUSIVE ⚡
Пользователь
Регистрация
12 Ноя 2020
Сообщения
7
Оценка реакций
0
Баллы
1
Доброго времени суток.
Не получается по гайдам из интернета установить базу данных и PhpMyAdmin.
Постоянно какие-то ошибки в консоли.
ОС: Debian 10

Объясните всё по шагам, кому не трудно
 

Totals

Админ
Команда форума
Регистрация
6 Июн 2020
Сообщения
247
Оценка реакций
175
Баллы
43
Доброго времени суток.
Не получается по гайдам из интернета установить базу данных и PhpMyAdmin.
Постоянно какие-то ошибки в консоли.
ОС: Debian 10

Объясните всё по шагам, кому не трудно
Попробуйте данный сайт.

 

Harroybay

Will be fine
EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
21 Ноя 2020
Сообщения
497
Оценка реакций
36
Баллы
28
Доброго времени суток.
Не получается по гайдам из интернета установить базу данных и PhpMyAdmin.
Постоянно какие-то ошибки в консоли.
ОС: Debian 10

Объясните всё по шагам, кому не трудно
Вроде не сложно там. На дебиан 10 хоть и нету по стандарту пакетов phpmyadmin, но после
apt-get update
apt-get upgrade
Пакеты установятся, и phpmyadmin встанет как раньше
 

KoTuK

EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
7 Мар 2021
Сообщения
3
Оценка реакций
0
Баллы
1
Всем привет! не совсем понятны какие ошибки)
Debian 10 buster
Apache2 + php7.3 + mariadb-server 10.3.27 + phpmyadmin


apt update

apt upgrade

apt install sudo

apt install apache2

apt install php

apt install php-gd

apt install imagemagick php-imagick

apt install mariadb-server php-mysql

Настройки Марии: создаём пользователя и выдаём все права!

sudo mysql -u root -p
(спросит пароль нажать ENTER)

create user 'Имя пользователя'@localhost identified by 'Пароль пользователя';

grant all privileges on *.* to 'Имя пользователя'@localhost;

grant grant option on *.* to 'Имя пользователя'@localhost;

flush privileges;

quit;

На какой то версии php, не работает phpmyadmin без mbstring и gettext модулей поэтому устанавливаем их

sudo apt install -y php-mbstring php-gettext

Ура ставим phpmyadmin xD

apt install phpmyadmin

И тут у нас phpmyadmin на скрине, говорит что версия php-twig другая и ещё не хватает модулей php!
решение:


sudo apt install aptitude

aptitude -t buster-backports install php-twig

apt install php-bz2

apt install php-curl

apt install php-tcpdf

apt install php-zip

ВСЁ! много текста сори!
 

Вложения

  • phpmyadmin.PNG
    phpmyadmin.PNG
    21.5 КБ · Просмотры: 10

wilfaded

EXCLUSIVE ⚡
Пользователь
Регистрация
12 Ноя 2020
Сообщения
7
Оценка реакций
0
Баллы
1
Всем привет! не совсем понятны какие ошибки)
Debian 10 buster
Apache2 + php7.3 + mariadb-server 10.3.27 + phpmyadmin


apt update

apt upgrade

apt install sudo

apt install apache2

apt install php

apt install php-gd

apt install imagemagick php-imagick

apt install mariadb-server php-mysql

Настройки Марии: создаём пользователя и выдаём все права!

sudo mysql -u root -p
(спросит пароль нажать ENTER)

create user 'Имя пользователя'@localhost identified by 'Пароль пользователя';

grant all privileges on *.* to 'Имя пользователя'@localhost;

grant grant option on *.* to 'Имя пользователя'@localhost;

flush privileges;

quit;

На какой то версии php, не работает phpmyadmin без mbstring и gettext модулей поэтому устанавливаем их

sudo apt install -y php-mbstring php-gettext

Ура ставим phpmyadmin xD

apt install phpmyadmin

И тут у нас phpmyadmin на скрине, говорит что версия php-twig другая и ещё не хватает модулей php!
решение:


sudo apt install aptitude

aptitude -t buster-backports install php-twig

apt install php-bz2

apt install php-curl

apt install php-tcpdf

apt install php-zip

ВСЁ! много текста сори!
Пишет ошибку после ввода пароля:
"ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)"
Не понимаю, что ему надо
 

Harroybay

Will be fine
EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
21 Ноя 2020
Сообщения
497
Оценка реакций
36
Баллы
28
Пишет ошибку после ввода пароля:
"ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)"
Не понимаю, что ему надо
Похоже что и это битый. Надо зайти на офф сайт debian и оттуда комуниздить всё. А так - пустое дело.
 

Harroybay

Will be fine
EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
21 Ноя 2020
Сообщения
497
Оценка реакций
36
Баллы
28
Пишет ошибку после ввода пароля:
"ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)"
Не понимаю, что ему надо
Проблема phpmyadmin в debian 10 в том, что его приходится ручками ставить. Тобишь на данный момент авто-установки как на той-же дебиан 8 нету. Поэтому - скачивай пакеты phpmyadmin и настраивай его конфиги. Именно так я и делал
 

KoTuK

EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
7 Мар 2021
Сообщения
3
Оценка реакций
0
Баллы
1
Пишет ошибку после ввода пароля:
"ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)"
Не понимаю, что ему надо
Перезагрузите vds посмотрите будет ли эта ошибка

проверьте есть ли файл в папке /run/mysqld/mysqld.sock

если нету тогда

sudo mkfifo /var/run/mysqld/mysqld.sock

sudo chown -R mysql /var/run/mysqld

sudo chmod 777 /run/mysqld/mysqld.sock

Сделать рестарт mysql

sudo /etc/init.d/mysql restart
 

psyxokinesis

EXCLUSIVE ⚡
Пользователь
Регистрация
25 Янв 2021
Сообщения
13
Оценка реакций
1
Баллы
3
Местоположение
Россия, Иркутск
Напиши мне в вк vk.com/ilyasikprince помогу за копеечку :d
 

wilfaded

EXCLUSIVE ⚡
Пользователь
Регистрация
12 Ноя 2020
Сообщения
7
Оценка реакций
0
Баллы
1
Всем привет! не совсем понятны какие ошибки)
Debian 10 buster
Apache2 + php7.3 + mariadb-server 10.3.27 + phpmyadmin


apt update

apt upgrade

apt install sudo

apt install apache2

apt install php

apt install php-gd

apt install imagemagick php-imagick

apt install mariadb-server php-mysql

Настройки Марии: создаём пользователя и выдаём все права!

sudo mysql -u root -p
(спросит пароль нажать ENTER)

create user 'Имя пользователя'@localhost identified by 'Пароль пользователя';

grant all privileges on *.* to 'Имя пользователя'@localhost;

grant grant option on *.* to 'Имя пользователя'@localhost;

flush privileges;

quit;

На какой то версии php, не работает phpmyadmin без mbstring и gettext модулей поэтому устанавливаем их

sudo apt install -y php-mbstring php-gettext

Ура ставим phpmyadmin xD

apt install phpmyadmin

И тут у нас phpmyadmin на скрине, говорит что версия php-twig другая и ещё не хватает модулей php!
решение:


sudo apt install aptitude

aptitude -t buster-backports install php-twig

apt install php-bz2

apt install php-curl

apt install php-tcpdf

apt install php-zip

ВСЁ! много текста сори!
как теперь открыть доступ к phpmyadmin через ссылку с любого ip?
 

wilfaded

EXCLUSIVE ⚡
Пользователь
Регистрация
12 Ноя 2020
Сообщения
7
Оценка реакций
0
Баллы
1
пишет ошибку при переходе по ссылке:

Not Found​

The requested URL was not found on this server.


Apache/2.4.38 (Debian) Server at [IP] Port 80
 

KoTuK

EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
7 Мар 2021
Сообщения
3
Оценка реакций
0
Баллы
1
как теперь открыть доступ к phpmyadmin через ссылку с любого ip?
Проверьте в файле
/etc/phpmyadmin/apache.conf
Закомментирован ли путь до phpmyadmin

#Alias /phpmyadmin /usr/share/phpmyadmin
если он в таком в виде то уберите # что бы получилось

Alias /phpmyadmin /usr/share/phpmyadmin
 

Harroybay

Will be fine
EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
21 Ноя 2020
Сообщения
497
Оценка реакций
36
Баллы
28

wilfaded

EXCLUSIVE ⚡
Пользователь
Регистрация
12 Ноя 2020
Сообщения
7
Оценка реакций
0
Баллы
1
Проверьте в файле
/etc/phpmyadmin/apache.conf
Закомментирован ли путь до phpmyadmin

#Alias /phpmyadmin /usr/share/phpmyadmin
если он в таком в виде то уберите # что бы получилось

Alias /phpmyadmin /usr/share/phpmyadmin
такого пути нет. Есть /etc/apache2/conf-available/phpmyadmin.conf
Там комментирования нет
 

wilfaded

EXCLUSIVE ⚡
Пользователь
Регистрация
12 Ноя 2020
Сообщения
7
Оценка реакций
0
Баллы
1

Harroybay

Will be fine
EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
21 Ноя 2020
Сообщения
497
Оценка реакций
36
Баллы
28

Harroybay

Will be fine
EXCLUSIVE ⚡
Premium
Пользователь
Регистрация
21 Ноя 2020
Сообщения
497
Оценка реакций
36
Баллы
28

Помочь проекту!

Собрано
"11,141.00" ₽
Цель
"15,000.00" ₽

Новые сообщения

Последние ресурсы